Package net.md_5.bungee.api.dialog.action

# Class CustomClickAction

java.lang.Object
net.md_5.bungee.api.dialog.action.CustomClickAction

All Implemented Interfaces:
  `Action`

public class CustomClickAction extends Object implements Action
Submits the dialog with the given ID and values as a payload.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomClickAction(@NonNull String id)`
  Creates a new `CustomClickAction` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.google.gson.JsonElement`
  `additions()`
  Fields to be added to the submission payload.
  `CustomClickAction`
  `additions(com.google.gson.JsonElement additions)`
  Fields to be added to the submission payload.
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `@NonNull String`
  `id()`
  The namespaced key of the submission.
  `CustomClickAction`
  `id(@NonNull String id)`
  The namespaced key of the submission.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomClickAction

    public CustomClickAction(@NonNull @NonNull String id)
    Creates a new `CustomClickAction` instance.
    Parameters:
      `id` - The namespaced key of the submission.

- ## Method Details

  - ### id

    @NonNull public @NonNull String id()
    The namespaced key of the submission.

  - ### additions

    public com.google.gson.JsonElement additions()
    Fields to be added to the submission payload.

  - ### id

    public CustomClickAction id(@NonNull @NonNull String id)
    The namespaced key of the submission.
    Returns:
      `this`.

  - ### additions

    public CustomClickAction additions(com.google.gson.JsonElement additions)
    Fields to be added to the submission payload.
    Returns:
      `this`.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`